## com.sun.jersey.spi.container.servlet
Class WebFilterConfig

    java.lang.Object
      com.sun.jersey.spi.container.servlet.WebFilterConfig

All Implemented Interfaces:
  WebConfig

    public class WebFilterConfig

extends java.lang.Object
implements WebConfig

A filter based web config. Delegates all invocations to the filter configuration from the servlet api.

Author:
  Paul Sandoz, guilherme silveira

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.jersey.spi.container.servlet.WebConfig
`WebConfig.ConfigType`

Constructor Summary
`WebFilterConfig(javax.servlet.FilterConfig filterConfig)`

Method Summary
`WebConfig.ConfigType` `getConfigType()` Get the configuration type of this config.
`ResourceConfig` `getDefaultResourceConfig(java.util.Map<java.lang.String,java.lang.Object> props)` Get the default `ResourceConfig`.
`java.lang.String` `getInitParameter(java.lang.String name)` Get an initialization parameter.
`java.util.Enumeration` `getInitParameterNames()` Get the enumeration of initialization parameter names.
`java.lang.String` `getName()` Get the name of the Web component.
`javax.servlet.ServletContext` `getServletContext()` Get the `ServletContext`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebFilterConfig

    public WebFilterConfig(javax.servlet.FilterConfig filterConfig)

Method Detail

### getConfigType

    public WebConfig.ConfigType getConfigType()

  Description copied from interface: `WebConfig`
  Get the configuration type of this config.

  Specified by:
    `getConfigType` in interface `WebConfig`
  Returns:
    the configuration type.

### getName

    public java.lang.String getName()

  Description copied from interface: `WebConfig`
  Get the name of the Web component.

  Specified by:
    `getName` in interface `WebConfig`
  Returns:
    the name of the Web component.

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

  Description copied from interface: `WebConfig`
  Get an initialization parameter.

  Specified by:
    `getInitParameter` in interface `WebConfig`
  Parameters:
    `name` - the parameter name.
  Returns:
    the parameter value, or null if the parameter is not present.

### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()

  Description copied from interface: `WebConfig`
  Get the enumeration of initialization parameter names.

  Specified by:
    `getInitParameterNames` in interface `WebConfig`
  Returns:
    the enumeration of initialization parameter names.

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Description copied from interface: `WebConfig`
  Get the `ServletContext`.

  Specified by:
    `getServletContext` in interface `WebConfig`
  Returns:
    the `ServletContext`.

### getDefaultResourceConfig

    public ResourceConfig getDefaultResourceConfig(java.util.Map<java.lang.String,java.lang.Object> props)
                                            throws javax.servlet.ServletException

  Description copied from interface: `WebConfig`
  Get the default `ResourceConfig`.

  Specified by:
    `getDefaultResourceConfig` in interface `WebConfig`
  Parameters:
    `props` - the map of properties.
  Returns:
    the default `ResourceConfig`.
  Throws:
    `javax.servlet.ServletException`

Copyright © 2017 Oracle Corporation. All Rights Reserved.